## springlobby 0.88

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,20 +7,23 @@
 # Add Definitions, Compiler-Switches, etc.: -Wall -O2 -g3 ...
 # MSVC compiler (cl.exe) does not accept the same switches as gcc, although preprocessor definitions in the -D form will work for both
 IF(NOT MSVC)
-	ADD_DEFINITIONS(-Wall -Wno-strict-aliasing -Wextra)
+	IF( NOT MINGW )
+		#wxMSW generates > 9000 warnings with -wextra...
+		ADD_DEFINITIONS( -Wextra )
+	ENDIF( NOT MINGW )
+	ADD_DEFINITIONS( -Wall -Wno-strict-aliasing )
+ELSE(NOT MSVC)
+	ADD_DEFINITIONS(-D_RC_MSVC)
 ENDIF(NOT MSVC)
 IF(WIN32)
 	ADD_DEFINITIONS( -DWXUSINGDLL -D__WXMSW__ -D_WIN32_WINNT=0x0501)
 ENDIF(WIN32)
-IF(MSVC)
-	ADD_DEFINITIONS(-D_RC_MSVC)
-ENDIF(MSVC)
 
 #----------------------------------------------------------------------------------------------------
 # General Settings
 #----------------------------------------------------------------------------------------------------
 SET( CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true )
-SET(CMAKE_FIND_LIBRARY_SUFFIXES ".so" ".lib" ".a")
+SET( CMAKE_FIND_LIBRARY_SUFFIXES ".so" ".lib" ".a" )
 
 #----------------------------------------------------------------------------------------------------
 # Load needed Modules
@@ -37,10 +40,10 @@
 FIND_PACKAGE( PkgConfig )
 
 #if nothing went wrong we have the file and can define HAVE_CONFIG_H
-IF ( EXISTS ${springlobby_BINARY_DIR}/config.h OR  EXISTS ${springlobby_SOURCE_DIR}/config.h )
+IF ( EXISTS ${springlobby_BINARY_DIR}/springlobby_config.h  OR  EXISTS ${springlobby_SOURCE_DIR}/springlobby_config.h  )
     ADD_DEFINITIONS( -DHAVE_CONFIG_H )
     INCLUDE_DIRECTORIES(${springlobby_BINARY_DIR})
-ENDIF ( EXISTS ${springlobby_BINARY_DIR}/config.h OR  EXISTS ${springlobby_SOURCE_DIR}/config.h )
+ENDIF ( EXISTS ${springlobby_BINARY_DIR}/springlobby_config.h  OR  EXISTS ${springlobby_SOURCE_DIR}/springlobby_config.h  )
 
 
 #----------------------------------------------------------------------------------------------------
@@ -60,7 +63,7 @@
 	"Chooses whether to link dynamic or static libraries. Recommend keeping this activated unless you know what you're doing." )
 
 SET( ENABLE_DEBUG_REPORT
-	0 CACHE BOOL
+	1 CACHE BOOL
 	"Enable automatic uploading of crash information (requires libcurl)" )
 
 SET( SPRINGLOBBY_REV
@@ -127,26 +130,29 @@
 IF( ENABLE_DEBUG_REPORT )
 	ADD_DEFINITIONS( -DENABLE_DEBUG_REPORT )
 	IF( MINGW )
-		ADD_DEFINITIONS( -DENABLE_DEBUG_REPORT -gstabs )
-		LINK_LIBRARIES( bfd intl iberty psapi imagehlp)
+		ADD_DEFINITIONS( -gstabs )
+		LINK_LIBRARIES( bfd iberty intl drmingw )
 	ENDIF( MINGW )
+	LIST( APPEND SLSharedWithSettings ${curlSRC} )
 ENDIF( ENABLE_DEBUG_REPORT )
 
-pkg_check_modules( CURL REQUIRED libcurl )
-IF( NOT CURL_FOUND )
-	MESSAGE( FATAL_ERROR "required library libCURL not found" )
-ELSE( NOT CURL_FOUND )
+
+	
+IF(WIN32)
+	ADD_DEFINITIONS( ${CURL_CFLAGS}  )
+	LINK_DIRECTORIES( ${CURL_STATIC_LIBRARY_DIRS} )
+	LINK_LIBRARIES( ${CURL_STATIC_LDFLAGS} )
 	INCLUDE_DIRECTORIES( ${CURL_INCLUDE_DIR} )
-	IF(WIN32)
-		ADD_DEFINITIONS( ${CURL_CFLAGS}  )
-		LINK_DIRECTORIES( ${CURL_STATIC_LIBRARY_DIRS} )
-		LINK_LIBRARIES( ${CURL_STATIC_LDFLAGS} )
-	ELSE(WIN32)
-		ADD_DEFINITIONS( ${CURL_CFLAGS} )
-		LINK_DIRECTORIES( ${CURL_LIB_DIRS} )
-		LINK_LIBRARIES( ${CURL_LDFLAGS} )
-	ENDIF(WIN32)
-ENDIF( NOT CURL_FOUND )
+ELSE(WIN32)
+	pkg_check_modules( CURL REQUIRED libcurl )
+	IF( NOT CURL_FOUND )
+		MESSAGE( FATAL_ERROR "required library libCURL not found" )
+	ENDIF( NOT CURL_FOUND )
+	ADD_DEFINITIONS( ${CURL_CFLAGS} )
+	LINK_DIRECTORIES( ${CURL_LIB_DIRS} )
+	LINK_LIBRARIES( ${CURL_LDFLAGS} )
+	INCLUDE_DIRECTORIES( ${CURL_INCLUDE_DIR} )
+ENDIF(WIN32)
 #----------------------------------------------------------------------------------------------------
 # libtorrent-rasterbar dependency check
 #----------------------------------------------------------------------------------------------------
@@ -161,12 +167,22 @@
 	    ELSE()
 		    MESSAGE( FATAL_ERROR "libtorrent-rasterbar library not found! Please install the package or toggle OPTION_TORRENT_SYSTEM to OFF")
 	    ENDIF()
+	    FIND_PACKAGE( Boost COMPONENTS system )
+	    IF( Boost_FOUND )
+		    link_directories( ${Boost_LIB_DIR} )
+		    INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIR} )
+		    SET( SL_BOOST_LIBS boost_system-mt )
+	    ELSE()
+		    MESSAGE( FATAL_ERROR "boost library not found! Please install the package or toggle OPTION_TORRENT_SYSTEM to OFF")
+	    ENDIF()
+
 	ELSE( NOT WIN32)
 		link_directories( ${boost_LIB_DIR} )
 		INCLUDE_DIRECTORIES( ${boost_INCLUDE_DIR} )
 		ADD_DEFINITIONS( -mthreads  )
 		LINK_LIBRARIES( -mthreads torrent-rasterbar ${Boost_LIBRARIES} z ws2_32 mswsock  )
 	ENDIF( NOT WIN32)
+	LIST( APPEND SLSharedWithSettings ${curlSRC} )
 ELSE( OPTION_TORRENT_SYSTEM )
 	ADD_DEFINITIONS( -DNO_TORRENT_SYSTEM )
 ENDIF( OPTION_TORRENT_SYSTEM )
@@ -212,7 +228,7 @@
 #ignore warnings about macosx app bundle output dir
 cmake_policy(SET CMP0006 OLD)
 
-ADD_EXECUTABLE(springlobby WIN32 MACOSX_BUNDLE ${springlobbySrc} ${SettingsSrc} ${SLSharedWithSettings} ${curlSRC} ${springlobby_RC_FILE})
+ADD_EXECUTABLE(springlobby WIN32 MACOSX_BUNDLE ${header} ${springlobbySrc} ${SettingsSrc} ${SLSharedWithSettings} ${springlobby_RC_FILE})
 ADD_EXECUTABLE(springsettings WIN32 MACOSX_BUNDLE ${StandAloneSettings} ${SettingsSrc} ${SLSharedWithSettings} ${SpringSettings_RC_FILE} )
 #the updater needs to be build for windows only
 IF(WIN32)
@@ -220,9 +236,12 @@
        TARGET_LINK_LIBRARIES(springlobby_updater ${wxWidgets_LIBRARIES} )
 ENDIF(WIN32)
 
+#only enable if debugging is necessary
+#ADD_EXECUTABLE(versiontest WIN32 MACOSX_BUNDLE src/versiontest.cpp )
+
 # Here the wxWidgets Libraries are added. These are set for us by the FIND Script. If you need other Libraries, you can add them here as well.
-TARGET_LINK_LIBRARIES(springlobby ${wxWidgets_LIBRARIES} )
-TARGET_LINK_LIBRARIES(springsettings ${wxWidgets_LIBRARIES} )
+TARGET_LINK_LIBRARIES(springlobby ${wxWidgets_LIBRARIES} ${SL_BOOST_LIBS} )
+TARGET_LINK_LIBRARIES(springsettings ${wxWidgets_LIBRARIES} ${SL_BOOST_LIBS} )
 
 IF(MINGW)
 	TARGET_LINK_LIBRARIES( springlobby iphlpapi )
@@ -245,20 +264,3 @@
 add_custom_target(pack
 					${CMAKE_MAKE_PROGRAM} package
 					&& ${springlobby_SOURCE_DIR}/tools/transform_release_zip.sh
-						${CMAKE_BINARY_DIR}/${PACKAGE_NAME}-${PACKAGE_VERSION}-win32.zip
-						${CMAKE_STRIP}
-				)
-
-# setup make dist
-add_custom_target(dist ${CMAKE_SOURCE_DIR}/tools/make_dist.sh "${springlobby_BINARY_DIR}" "${PACKAGE_NAME}-${PACKAGE_VERSION}"
-					 )
-
-# setup make distcheck
-add_custom_target(distcheck + cd ${CMAKE_BINARY_DIR} &&
-                        rm -rf ${PACKAGE_NAME}-${PACKAGE_VERSION} &&
-                        tar -xzf ${PACKAGE_NAME}-${PACKAGE_VERSION}.tar.gz &&
-                        cd ${PACKAGE_NAME}-${PACKAGE_VERSION}/ &&
-                        cmake "-DCMAKE_CXX_FLAGS:STRING=-O0". && ${CMAKE_MAKE_PROGRAM}
-					)
-add_dependencies( distcheck dist )
-add_dependencies( springlobby alure )
