=== debian/changelog ===
springlobby (0.88-1) unstable; urgency=low

  * New upstream version.
  * debian/control: bump Standards-Version to 3.9.1 (no changes needed)

 -- Jan Dittberner <jandd@debian.org>  Tue, 03 Aug 2010 21:27:45 +0200

springlobby (0.85-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Fri, 23 Jul 2010 13:57:57 +0200

springlobby (0.83-1) unstable; urgency=low

  * New upstream version.
  * debian/control: bump Standards-Version to 3.9.0 (no changes
    necessary)

 -- Jan Dittberner <jandd@debian.org>  Mon, 12 Jul 2010 12:34:06 +0200

springlobby (0.82-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Jun 2010 13:31:18 +0200

springlobby (0.80-2) unstable; urgency=low

  * debian/rules: fail to build on unsupported architectures
  * debian/control:
    - depend on spring >= 0.81.2.1+dfsg1-5
    - restrict architectures to amd64 and i386

 -- Jan Dittberner <jandd@debian.org>  Sat, 29 May 2010 01:57:11 +0200

springlobby (0.80-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Fri, 07 May 2010 16:07:47 +0200

springlobby (0.78-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Wed, 21 Apr 2010 21:32:26 +0200

springlobby (0.68-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Sat, 10 Apr 2010 10:15:30 +0200

springlobby (0.67-1) unstable; urgency=low

  * New upstream version. (Closes: #565098)
  * add debian/source/format to switch to source format 3.0 (quilt)

 -- Jan Dittberner <jandd@debian.org>  Fri, 09 Apr 2010 19:46:04 +0200

springlobby (0.63-3) unstable; urgency=low

  * debian/control: set spring dependency version to >= 0.81.1.3~dfsg-1 to
    match spring's versioning

 -- Jan Dittberner <jandd@debian.org>  Sun, 21 Feb 2010 11:12:38 +0100

springlobby (0.63-2) unstable; urgency=low

  * debian/control: set Architecture for springlobby and springlobby-dbg
    to i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 because spring
    is only available on x86 architectures

 -- Jan Dittberner <jandd@debian.org>  Sat, 20 Feb 2010 17:56:13 +0100

springlobby (0.63-1) unstable; urgency=low

  [ Marco Amadori ]
  * New Upstream Release (Closes: #569324).
  * Dropped merged-upstream patches.
  * Fixed GPL2 kind in copyright.
  * Removed the springlobby.launcher wrapper since spring (>= 0.81.1.3) does
    not need it anymore;
  * Depends on spring (>= 0.81.1.3).
  * Bumped Standards-Version to 3.8.4.

  [ Jan Dittberner ]
  * remove .gitattributes
  * debian/control:
   - add myself to Uploaders
   - wrap Build-Depends

 -- Jan Dittberner <jandd@debian.org>  Thu, 18 Feb 2010 19:16:11 +0100

springlobby (0.44-2) unstable; urgency=low

  * Added the -dbg debug package.

 -- Marco Amadori <marco.amadori@gmail.com>  Thu, 07 Jan 2010 14:13:45 +0100

springlobby (0.44-1) unstable; urgency=low

  * New upstream release 0.44.
  * Fixed release cmake option.
  * Launcher will pollute less /usr/games.
  * Included a (patched) upstream git patch to fix locales.

 -- Marco Amadori <marco.amadori@gmail.com>  Tue, 16 Dec 2009 13:34:03 +0100

springlobby (0.40-1) unstable; urgency=low

  [ Marco Amadori ]
  * New upstream release.
  * Migrated packaging to the new upstream build system (cmake).
  * Revised authors list.

  [ Bruno "Fuddl" Kleinert]
  * Don't hardwire parallel instances of make to 8 in debian/rules. Use
    DEB_BUILD_OPTIONS instead. (Closes: #558759)

 -- Marco Amadori <marco.amadori@gmail.com>  Tue, 01 Dec 2009 19:15:06 +0100

springlobby (0.34-1) unstable; urgency=low

  * Initial release (Closes: #550250).
  * This release has p2p disabled due to openssl license conflicts, look at
    README.Debian.

 -- Marco Amadori <marco.amadori@gmail.com>  Tue, 03 Nov 2009 01:00:00 +0100
