=== debian/changelog ===
springlobby (0.104-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Thu, 30 Sep 2010 19:15:25 +0200

springlobby (0.100-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Thu, 02 Sep 2010 20:05:46 +0200

springlobby (0.99-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Fri, 27 Aug 2010 17:08:11 +0200

springlobby (0.96-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Tue, 17 Aug 2010 11:11:42 +0200

springlobby (0.95-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Mon, 16 Aug 2010 12:54:11 +0200

springlobby (0.93-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Sun, 15 Aug 2010 15:36:28 +0200
