## springlobby 0.128

=== debian/changelog ===
springlobby (0.128-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Sat, 02 Apr 2011 13:01:02 +0200

springlobby (0.127-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Fri, 25 Mar 2011 22:20:33 +0100

springlobby (0.124-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Thu, 03 Mar 2011 18:36:30 +0100

springlobby (0.122-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Mon, 21 Feb 2011 18:28:07 +0100

springlobby (0.121-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Sun, 20 Feb 2011 18:19:20 +0100

springlobby (0.120-2) unstable; urgency=low

  * upload to unstable

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Feb 2011 12:59:29 +0100

springlobby (0.120-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Fri, 21 Jan 2011 18:57:00 +0100

springlobby (0.118-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Tue, 21 Dec 2010 12:58:07 +0100

springlobby (0.117-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Fri, 26 Nov 2010 10:20:19 +0100

springlobby (0.116-1) experimental; urgency=low

  * New upstream release.

 -- Jan Dittberner <jandd@debian.org>  Wed, 10 Nov 2010 19:37:43 +0100

springlobby (0.114-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Tue, 26 Oct 2010 10:42:51 +0200

springlobby (0.111-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Mon, 11 Oct 2010 18:13:33 +0200

springlobby (0.105-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Tue, 05 Oct 2010 23:04:18 +0200
