## springlobby 0.130

=== CMakeLists.txt ===
--- 
+++ 
@@ -60,6 +60,9 @@
 SET( OPTION_TRANSLATION_SUPPORT
 	1 CACHE BOOL
 	"Enables translation support to the programs and adds facilities for helping translators (requires GNU Gettext)" )
+SET( OPTION_NOTIFY
+	1 CACHE BOOL
+	"Enables libnotify support for popup status messages (requires libnotify)" )
 SET( BUILD_SHARED_LIBS
 	1 CACHE BOOL
 	"Chooses whether to link dynamic or static libraries. Recommend keeping this activated unless you know what you're doing." )
@@ -185,9 +188,23 @@
 		LINK_LIBRARIES( -mthreads torrent-rasterbar ${Boost_LIBRARIES} z ws2_32 mswsock  )
 	ENDIF( NOT WIN32)
 	LIST( APPEND SLSharedWithSettings ${curlSRC} )
+	ADD_DEFINITIONS( -DTORRENT_DISABLE_GEO_IP )
 ELSE( OPTION_TORRENT_SYSTEM )
 	ADD_DEFINITIONS( -DNO_TORRENT_SYSTEM )
 ENDIF( OPTION_TORRENT_SYSTEM )
+
+#----------------------------------------------------------------------------------------------------
+# libnotify dependency check
+#----------------------------------------------------------------------------------------------------
+
+IF( OPTION_NOTIFY AND NOT WIN32 )
+	pkg_check_modules( LIBNOTIFY libnotify )
+	IF( LIBNOTIFY_FOUND )
+		INCLUDE_DIRECTORIES( ${LIBNOTIFY_INCLUDE_DIRS} )
+		LINK_LIBRARIES( ${LIBNOTIFY_LIBRARIES} )
+		ADD_DEFINITIONS( -DHAVE_LIBNOTIFY )
+	ENDIF( LIBNOTIFY_FOUND )
+ENDIF( OPTION_NOTIFY AND NOT WIN32 )
 
 
 # If we build for windows Systems, we also include the Resource-File containing the Manifest, Icon and other Resources.
@@ -252,16 +269,3 @@
 
 IF (WIN32)
     install(TARGETS springlobby springlobby_updater springsettings RUNTIME DESTINATION .)
-    install(FILES AUTHORS COPYING NEWS README THANKS  DESTINATION .)
-	install(DIRECTORY ${CMAKE_INSTALL_PREFIX}/locale DESTINATION .)
-ELSE (WIN32)
-    install(TARGETS springlobby springsettings RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )
-    install(FILES AUTHORS COPYING NEWS README THANKS DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/springlobby )
-    install(FILES src/images/springlobby.svg DESTINATION
-	    ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps)
-    install(FILES src/springlobby.desktop DESTINATION
-	    ${CMAKE_INSTALL_PREFIX}/share/applications)
-ENDIF (WIN32)
-
-add_custom_target(pack
-					${CMAKE_MAKE_PROGRAM} package
