=== debian/changelog ===
springlobby (0.130-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Bump Standards-Version to 3.9.2

 -- Jan Dittberner <jandd@debian.org>  Sun, 01 May 2011 00:39:22 +0200
