=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Marco Amadori <marco.amadori@gmail.com>, Jan Dittberner <jandd@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake, libwxgtk2.8-dev,
  libopenal-dev, asciidoc, xsltproc, docbook-xsl, libcurl4-gnutls-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://springlobby.info
 Vcs-Browser: http://git.debian.org/?p=pkg-games/springlobby.git;a=summary
 Vcs-Git: git://git.debian.org/pkg-games/springlobby.git
